diff --git a/Makefile.am b/Makefile.am
index 7734be2..ba33bda 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -79,7 +79,6 @@ clean-local:
 	  cd src/gmock && $(MAKE) $(AM_MAKEFLAGS) clean; \
 	fi
 
-	@rm -rf src/test/virtualenv
 	@rm -rf install-deps-*
 
 
diff --git a/src/Makefile-env.am b/src/Makefile-env.am
index df225d6..ca030cf 100644
--- a/src/Makefile-env.am
+++ b/src/Makefile-env.am
@@ -297,10 +297,6 @@ LIBCIVETWEB_DEPS =
 DENCODER_SOURCES =
 DENCODER_DEPS =
 
-# put virtualenvs in this directory
-# otherwise it may overflow #! 80 kernel limit
-# beware that some build environments might not be able to write to /tmp
 export TMPDIR ?= /tmp
-export CEPH_BUILD_VIRTUALENV = $(TMPDIR)
 
 radoslibdir = $(libdir)/rados-classes
diff --git a/src/ceph-detect-init/Makefile.am b/src/ceph-detect-init/Makefile.am
index 8ddcb1e..52dd5d5 100644
--- a/src/ceph-detect-init/Makefile.am
+++ b/src/ceph-detect-init/Makefile.am
@@ -53,15 +53,10 @@ EXTRA_DIST += \
 	ceph-detect-init/tests/test_all.py \
 	ceph-detect-init/tox.ini
 
-export CEPH_DETECT_INIT_VIRTUALENV = ${CEPH_BUILD_VIRTUALENV}/ceph-detect-init-virtualenv
-
-ceph-detect-init-all: ${CEPH_DETECT_INIT_VIRTUALENV}
-
-${CEPH_DETECT_INIT_VIRTUALENV}:
-	cd $(srcdir)/ceph-detect-init ; ../tools/setup-virtualenv.sh ${CEPH_DETECT_INIT_VIRTUALENV} ; test -d wheelhouse && export NO_INDEX=--no-index ; ${CEPH_DETECT_INIT_VIRTUALENV}/bin/pip install $$NO_INDEX --use-wheel --find-links=file://$$(pwd)/wheelhouse -e .
+ceph-detect-init-all:
 
 ceph-detect-init-clean:
-	cd $(srcdir)/ceph-detect-init ; python setup.py clean ; rm -fr wheelhouse .tox build ${CEPH_DETECT_INIT_VIRTUALENV} .coverage *.egg-info
+	cd $(srcdir)/ceph-detect-init
 
 ceph-detect-init-install-data:
 	cd $(srcdir)/ceph-detect-init ; \
diff --git a/src/ceph-disk/Makefile.am b/src/ceph-disk/Makefile.am
index 9006303..0b35b0f 100644
--- a/src/ceph-disk/Makefile.am
+++ b/src/ceph-disk/Makefile.am
@@ -29,15 +29,10 @@ EXTRA_DIST += \
 	ceph-disk/tests/test_main.py \
 	ceph-disk/tox.ini
 
-export CEPH_DISK_VIRTUALENV = ${CEPH_BUILD_VIRTUALENV}/ceph-disk-virtualenv
-
-ceph-disk-all: ${CEPH_DISK_VIRTUALENV}
-
-${CEPH_DISK_VIRTUALENV}:
-	cd $(srcdir)/ceph-disk ; ../tools/setup-virtualenv.sh ${CEPH_DISK_VIRTUALENV} ; test -d wheelhouse && export NO_INDEX=--no-index ; ${CEPH_DISK_VIRTUALENV}/bin/pip install $$NO_INDEX --use-wheel --find-links=file://$$(pwd)/wheelhouse -e .
+ceph-disk-all:
 
 ceph-disk-clean:
-	cd $(srcdir)/ceph-disk ; python setup.py clean ; rm -fr wheelhouse .tox build ${CEPH_DISK_VIRTUALENV} .coverage *.egg-info
+	cd $(srcdir)/ceph-disk
 
 ceph-disk-install-data:
 	cd $(srcdir)/ceph-disk ; \
diff --git a/src/tools/Makefile.am b/src/tools/Makefile.am
index e730850..9569947 100644
--- a/src/tools/Makefile.am
+++ b/src/tools/Makefile.am
@@ -45,6 +45,3 @@ noinst_HEADERS += \
 	tools/rados/PoolDump.h \
 	tools/cephfs/DataScan.h \
 	tools/cephfs/RoleSelector.h
-
-EXTRA_DIST += \
-	tools/setup-virtualenv.sh
diff --git a/src/tools/setup-virtualenv.sh b/src/tools/setup-virtualenv.sh
index 9ff2d26..b6fca0a 100755
--- a/src/tools/setup-virtualenv.sh
+++ b/src/tools/setup-virtualenv.sh
@@ -15,6 +15,8 @@
 # GNU Library Public License for more details.
 #
 
+exit 0
+
 DIR=$1
 rm -fr $DIR
 mkdir -p $DIR