--- ceph-10.2.1/configure.ac
+++ ceph-10.2.1/configure.ac
@@ -908,7 +908,7 @@
 	    ,
 	    [with_libzfs=no])
 AS_IF([test "x$with_libzfs" = xyes],
-	    [PKG_CHECK_MODULES([LIBZFS], [zfs], [], [true])])
+	    [PKG_CHECK_MODULES([LIBZFS], [libzfs], [], [true])])
 AS_IF([test "x$with_libzfs" = xyes],
 	    [AC_DEFINE([HAVE_LIBZFS], [1], [Defined if you have libzfs enabled])])
 AM_CONDITIONAL(WITH_LIBZFS, [ test "$with_libzfs" = "yes" ])