diff --git a/src/Makefile-env.am b/src/Makefile-env.am
index 4771bad02d..f92e20479b 100644
--- a/src/Makefile-env.am
+++ b/src/Makefile-env.am
@@ -53,10 +53,6 @@ endif
 ## automake environment
 
 HARDENING_CFLAGS = \
-                   -O2 \
-                   -g \
-                   -pipe \
-                   -Wall \
                    -Wp,-U_FORTIFY_SOURCE \
                    -Wp,-D_FORTIFY_SOURCE=2 \
                    -fexceptions \