diff --git a/src/common/bit_str.h b/src/common/bit_str.h
index c4c24f6a75..b5631e8b84 100644
--- a/src/common/bit_str.h
+++ b/src/common/bit_str.h
@@ -14,6 +14,8 @@
 #ifndef CEPH_COMMON_BIT_STR_H
 #define CEPH_COMMON_BIT_STR_H
 
+#include <cstdint>
+#include <iosfwd>
 #include <functional>
 
 namespace ceph {
diff --git a/src/librbd/api/PoolMetadata.h b/src/librbd/api/PoolMetadata.h
index 977ce3638d..8d982879aa 100644
--- a/src/librbd/api/PoolMetadata.h
+++ b/src/librbd/api/PoolMetadata.h
@@ -8,6 +8,8 @@
 #include "include/rados/librados_fwd.hpp"
 
 #include <map>
+#include <string>
+#include <cstdint>
 
 namespace librbd {
 