diff -NaurBwdp a/src/global/signal_handler.h src/global/b/signal_handler.h
--- a/src/global/signal_handler.h	2020-10-01 03:15:48.208164979 +0700
+++ b/src/global/signal_handler.h	2020-10-01 03:15:40.655244081 +0700
@@ -20,11 +20,7 @@
 
 typedef void (*signal_handler_t)(int);
 
-#ifndef HAVE_REENTRANT_STRSIGNAL
-# define sig_str(signum) sys_siglist[signum]
-#else
 # define sig_str(signum) strsignal(signum)
-#endif
 
 void install_sighandler(int signum, signal_handler_t handler, int flags);
 