From bd8b8540f6b67a25585ca9cf140d6de760bc2a43 Mon Sep 17 00:00:00 2001
From: Jan Fajerski <jfajerski@suse.com>
Date: Fri, 12 Jun 2020 09:27:36 +0200
Subject: [PATCH] systemd/ceph-osd: ceph-osd-prestart.sh now lives in
 /usr/libexec

Fixes: https://tracker.ceph.com/issues/45984
Fixes: ed6552d5067c9f1d34c426f9ae18b0c37f2a9d29

Signed-off-by: Jan Fajerski <jfajerski@suse.com>
---
 systemd/ceph-osd@.service.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/systemd/ceph-osd@.service.in b/systemd/ceph-osd@.service.in
index a0067d347220..4a2254e99478 100644
--- a/systemd/ceph-osd@.service.in
+++ b/systemd/ceph-osd@.service.in
@@ -9,7 +9,7 @@ Environment=CLUSTER=ceph
 EnvironmentFile=-@SYSTEMD_ENV_FILE@
 Environment=CLUSTER=ceph
 ExecStart=/usr/bin/ceph-osd -f --cluster ${CLUSTER} --id %i --setuser ceph --setgroup ceph
-ExecStartPre=/usr/libexec/ceph/ceph-osd-prestart.sh --cluster ${CLUSTER} --id %i
+ExecStartPre=@CMAKE_INSTALL_FULL_LIBEXECDIR@/ceph/ceph-osd-prestart.sh --cluster ${CLUSTER} --id %i
 ExecReload=/bin/kill -HUP $MAINPID
 LockPersonality=true
 MemoryDenyWriteExecute=true