diff --git a/src/common/Cycles.h b/src/common/Cycles.h
index 16e0aa67fc1..791be43469c 100644
--- a/src/common/Cycles.h
+++ b/src/common/Cycles.h
@@ -29,8 +29,9 @@
  */
 
 
-#ifndef CEPH_CYCLES_H
-#define CEPH_CYCLES_H
+#pragma once
+
+#include <cstdint>
 
 /**
  * This class provides static methods that read the fine-grain CPU
@@ -112,4 +113,3 @@ private:
   }
 };
 
-#endif  // CEPH_CYCLES_H
diff --git a/src/common/subsys_types.h b/src/common/subsys_types.h
index 52171809b23..1a2ab796b6d 100644
--- a/src/common/subsys_types.h
+++ b/src/common/subsys_types.h
@@ -53,7 +53,7 @@ ceph_subsys_get_as_array() {
 #undef DEFAULT_SUBSYS
 }
 
-constexpr static std::uint8_t
+constexpr static uint8_t
 ceph_subsys_get_max_default_level(const std::size_t subidx) {
   const auto item = ceph_subsys_get_as_array()[subidx];
   return std::max(item.log_level, item.gather_level);
diff --git a/src/librbd/api/PoolMetadata.h b/src/librbd/api/PoolMetadata.h
index c0a8173596e..8d982879aa9 100644
--- a/src/librbd/api/PoolMetadata.h
+++ b/src/librbd/api/PoolMetadata.h
@@ -9,6 +9,7 @@
 
 #include <map>
 #include <string>
+#include <cstdint>
 
 namespace librbd {
 
diff --git a/src/msg/async/crypto_onwire.h b/src/msg/async/crypto_onwire.h
index 55f7550868f..2213c21d08d 100644
--- a/src/msg/async/crypto_onwire.h
+++ b/src/msg/async/crypto_onwire.h
@@ -95,7 +95,7 @@ public:
   // Transmitter can append extra bytes of ciphertext at the -final step.
   // This method return how much was added, and thus let client translate
   // plaintext size into ciphertext size to grab from wire.
-  virtual std::uint32_t get_extra_size_at_final() = 0;
+  virtual uint32_t get_extra_size_at_final() = 0;
 
   // Instance of RxHandler must be reset before doing any decrypt-update
   // step. This applies also to situation when decrypt-final was already
diff --git a/src/test/librados/op_speed.cc b/src/test/librados/op_speed.cc
index 90c7bdac571..9452da6dcc9 100644
--- a/src/test/librados/op_speed.cc
+++ b/src/test/librados/op_speed.cc
@@ -9,7 +9,7 @@ int main() {
   for (int i = 0; i < to_create; ++i) {
     librados::ObjectReadOperation op;
     bufferlist bl;
-    std::uint64_t sz;
+    uint64_t sz;
     struct timespec tm;
     std::map<std::string, ceph::buffer::list> xattrs;
     std::map<std::string, ceph::buffer::list> omap;
diff --git a/src/test/mon/test_log_rss_usage.cc b/src/test/mon/test_log_rss_usage.cc
index f6e85f414c8..9769cabd884 100644
--- a/src/test/mon/test_log_rss_usage.cc
+++ b/src/test/mon/test_log_rss_usage.cc
@@ -5,6 +5,7 @@
 #include <string>
 #include <iostream>
 #include <fstream>
+#include <cstdint>
 #include <stdlib.h>
 #include <stdio.h>
 #include <unistd.h>