From 722b4303b1986ce93744af5baeecde7681d8e347 Mon Sep 17 00:00:00 2001
From: Casey Bodley <cbodley@redhat.com>
Date: Mon, 25 Jan 2021 13:08:35 -0500
Subject: [PATCH] cmake: boost>=1.74 adds BOOST_ASIO_USE_TS_EXECUTOR_AS_DEFAULT
 to radosgw

Fixes: https://tracker.ceph.com/issues/48988

Signed-off-by: Casey Bodley <cbodley@redhat.com>
---
 src/rgw/CMakeLists.txt | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/rgw/CMakeLists.txt b/src/rgw/CMakeLists.txt
index 1b8cb81b8f2c1..12b42e4077f5a 100644
--- a/src/rgw/CMakeLists.txt
+++ b/src/rgw/CMakeLists.txt
@@ -1,3 +1,7 @@
+if(Boost_VERSION VERSION_GREATER_EQUAL 1.74)
+  add_definitions(-DBOOST_ASIO_USE_TS_EXECUTOR_AS_DEFAULT)
+endif()
+
 add_custom_target(civetweb_h
   COMMAND ${CMAKE_COMMAND} -E make_directory
   "${CMAKE_BINARY_DIR}/src/include/civetweb"