diff --git a/src/osd/SnapMapper.cc b/src/osd/SnapMapper.cc
index 4feabcda459..6b9a9bf86ce 100644
--- a/src/osd/SnapMapper.cc
+++ b/src/osd/SnapMapper.cc
@@ -17,6 +17,7 @@
 #include <fmt/printf.h>
 #include <fmt/ranges.h>
 
+#include "include/object_fmt.h"
 #include "osd/osd_types_fmt.h"
 #include "SnapMapReaderI.h"
 