diff --git a/src/boost/tools/build/src/tools/features/optimization-feature.jam b/src/boost/tools/build/src/tools/features/optimization-feature.jam
index 761f76f1..fb2a5dec 100644
--- a/src/boost/tools/build/src/tools/features/optimization-feature.jam
+++ b/src/boost/tools/build/src/tools/features/optimization-feature.jam
@@ -8,7 +8,7 @@
 import feature ;
 
 feature.feature optimization
-    : off speed space
+    : off none speed space
     : propagated ;
 
 feature.feature inlining